<?php
/* **************************************************************************** *

 * Tools.inc.php								*							*
 * @package	Core								*
 * @copyright	Copyright (c) 2008 Martin Novák. All rights reserved		*
 * @license	GNU/AGPL http://www.gnu.org/licenses/agpl.html			*

 * Albireo is free software! You can redistribute it and/or modify it under	*
 * the terms of the GNU Affero General Public License as published		*
 * by the Free Software Foundation, either version 3 of the License, or		*
 * (at your option) any later version.						*

 *	This program is distributed in the hope that it will be useful,		*
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of		*
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the		*
 *	GNU Affero General Public License for more details.			*

 This script description:
 This is class containing only basic static methods for common using.

 Properties:
    none
 	
 Public Methods:
    string getPage ()		// show web requested file
    string getRightDate ( $date )
    				// on input is date with database format and
    				   function returns human date
    resource baseSettings ()	// get resource of class Settings for working
    				   with basic Albireo settings
 	
 * **************************************************************************** */

class Tools {

    private static $BaseSettings;

    public static function getPage ()
    {
    	if ( isset ( $_GET [ "page" ] ) ) {
    	    return addslashes ( urldecode ( $_GET [ "page" ] ) );
    	} else {
    	    return Localization::session() -> getLanguage () ."_index";
    	}
    } // end getPage

    public static function getFullPage ()
    {
    	if ( isset ( $_GET [ "page" ] ) ) {
    	    return addslashes ( urldecode ( $_GET [ "page" ] ) ) . Tools::baseSettings () -> getSetting ( "file_extension" );
    	} else {
    	    return Localization::session() -> getLanguage () ."_index". Tools::baseSettings () -> getSetting ( "file_extension" );
    	}
    } // end getPage

    public static function getRightDate ( $date, $type = "short" )
    {
    	if ( $type == "short" ) {
    	    return intval ( substr ( $date, 8, 2 ) ) .".". intval ( substr ( $date, 5, 2 ) ). ".". substr ( $date, 0, 4 );
    	} else { // that meand $type contents "long", "full" or similar thing
    	    return intval ( substr ( $date, 8, 2 ) ) .".". intval ( substr ( $date, 5, 2 ) ). ".". substr ( $date, 0, 4 ) ." "
    	    . substr ( $date, 11, 8 );
    	}
    } // end getRightDate

    public static function getHttpAddress ()
    {
        return "http://". $_SERVER [ "HTTP_HOST" ] . substr ( $_SERVER [ "SCRIPT_NAME" ], 0, strrpos ( $_SERVER [ "SCRIPT_NAME" ], "/" ) ) ."/";
    } // end getHttpAddress

    public static function getHttpsAddress ()
    {
        return "https://". $_SERVER [ "HTTP_HOST" ] . substr ( $_SERVER [ "SCRIPT_NAME" ], 0, strrpos ( $_SERVER [ "SCRIPT_NAME" ], "/" ) ) ."/";
    } // end getHttpsAddress

    public static function baseSettings ()
    {
    	if ( self::$BaseSettings == null ) {
    	    self::$BaseSettings = new Settings ( "base-settings" );
    	}
    	return self::$BaseSettings;
    } // end baseSettings
 
}

?>